# feedparser
[![pub package](https://img.shields.io/pub/v/feedparser.svg)](https://pub.dartlang.org/packages/feedparser) 
[![Build Status](https://travis-ci.org/xqwzts/feedparser.svg?branch=master)](https://travis-ci.org/xqwzts/feedparser)


A Dart library for parsing RSS feeds.

### Usage

```dart
import 'package:feedparser/feedparser.dart';

void main() {
  Feed feed = parse(r'''
    <?xml version="1.0" encoding="UTF-8"?>
    <rss version="2.0">
      <channel>
        <title>Hello World!</title>      
        <description>Parse RSS feeds in Dart with feedparser</description>
      </channel>
    </rss>
  ''');

  print(feed);

  // Output:
  //    title: Hello World!
  //    link: null
  //    description: Parse RSS feeds in Dart with feedparser
  //    language: null
  //    copyright: null
  //    pubDate: null
  //    lastBuildDate: null
  //    image: null
  //    items: []
}
```

### Strict mode

As long as the input string provided is a valid XML string, feedparser will 
attempt to parse it and return a Feed object. In strict mode feedparser instead
throws `ArgumentError`s for missing mandatory fields [as defined by the
[RSS 2.0 spec](https://cyber.harvard.edu/rss/rss.html)]. This is useful for
testing feeds to ensure they meet the spec, but impractical when dealing with 
feeds not under your control.

```dart
  Feed feed = parse(xmlString, strict: true);
```
